Package com.ngrok.services

# Class HttpResponseBackends

java.lang.Object
com.ngrok.services.HttpResponseBackends

public class HttpResponseBackends extends Object
An API client for `HttpResponseBackends`. See also https://ngrok.com/docs/api#api-http-response-backends.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `HttpResponseBackends.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `HttpResponseBackends.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `HttpResponseBackends.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `HttpResponseBackends.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `HttpResponseBackends.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpResponseBackends(NgrokApiClient apiClient)`
  Creates a new sub-client for HttpResponseBackends.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HttpResponseBackends.CreateCallBuilder`
  `create()`
  Creates a call builder for the Create API operation.
  `HttpResponseBackends.DeleteCallBuilder`
  `delete(String id)`
  Creates a call builder for the Delete API operation.
  `HttpResponseBackends.GetCallBuilder`
  `get(String id)`
  Creates a call builder for the Get API operation.
  `HttpResponseBackends.ListCallBuilder`
  `list()`
  Creates a call builder for the List API operation.
  `HttpResponseBackends.UpdateCallBuilder`
  `update(String id)`
  Creates a call builder for the Update API operation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HttpResponseBackends

    public HttpResponseBackends(NgrokApiClient apiClient)
    Creates a new sub-client for HttpResponseBackends.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public HttpResponseBackends.CreateCallBuilder create()
    Creates a call builder for the Create API operation. See also https://ngrok.com/docs/api#api-http-response-backends-create.
    Returns:
      a call builder for this API call

  - ### delete

    public HttpResponseBackends.DeleteCallBuilder delete(String id)
    Creates a call builder for the Delete API operation. See also https://ngrok.com/docs/api#api-http-response-backends-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public HttpResponseBackends.GetCallBuilder get(String id)
    Creates a call builder for the Get API operation. See also https://ngrok.com/docs/api#api-http-response-backends-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public HttpResponseBackends.ListCallBuilder list()
    Creates a call builder for the List API operation. See also https://ngrok.com/docs/api#api-http-response-backends-list.
    Returns:
      a call builder for this API call

  - ### update

    public HttpResponseBackends.UpdateCallBuilder update(String id)
    Creates a call builder for the Update API operation. See also https://ngrok.com/docs/api#api-http-response-backends-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call